##### basic_file::basic_file (5 of 10 overloads)

Construct and open a `basic_file`.

    basic_file(
        const executor_type & ex,
        const std::string & path,
        file_base::flags open_flags);

This constructor initialises a file and opens it.

###### Parameters

ex

  The I/O executor that the file will use, by default, to dispatch handlers for any asynchronous operations performed on the file.

path

  The path name identifying the file to be opened.

open_flags

  A set of flags that determine how the file should be opened.